package com.ustadmobile.port.android.impl;

import java.lang.System;

@kotlin.Metadata(mv = {1, 6, 0}, k = 1, d1 = {"\u00002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0018\u0002\b\u0016\u0018\u00002\u00020\u00012\u00020\u0002B\u0005\u00a2\u0006\u0002\u0010\u0003J\u0010\u0010\u000e\u001a\u00020\u000f2\u0006\u0010\u0010\u001a\u00020\u0011H\u0014J\b\u0010\u0012\u001a\u00020\u000fH\u0016J\b\u0010\u0013\u001a\u00020\u000fH\u0016R\u001b\u0010\u0004\u001a\u00020\u00058VX\u0096\u0084\u0002\u00a2\u0006\f\n\u0004\b\b\u0010\t\u001a\u0004\b\u0006\u0010\u0007R\u0011\u0010\n\u001a\u00020\u000b\u00a2\u0006\b\n\u0000\u001a\u0004\b\f\u0010\r\u00a8\u0006\u0014\u00b2\u0006\n\u0010\u0015\u001a\u00020\u0016X\u008a\u0084\u0002"}, d2 = {"Lcom/ustadmobile/port/android/impl/UstadApp;", "Landroid/app/Application;", "Lorg/kodein/di/DIAware;", "()V", "di", "Lorg/kodein/di/DI;", "getDi", "()Lorg/kodein/di/DI;", "di$delegate", "Lorg/kodein/di/LazyDI;", "diModule", "Lorg/kodein/di/DI$Module;", "getDiModule", "()Lorg/kodein/di/DI$Module;", "attachBaseContext", "", "base", "Landroid/content/Context;", "onCreate", "onTerminate", "app-android_debug", "containerStorage", "Lcom/ustadmobile/core/impl/ContainerStorageManager;"})
public class UstadApp extends android.app.Application implements org.kodein.di.DIAware {
    @org.jetbrains.annotations.NotNull()
    private final org.kodein.di.DI.Module diModule = null;
    @org.jetbrains.annotations.NotNull()
    private final org.kodein.di.LazyDI di$delegate = null;
    
    public UstadApp() {
        super();
    }
    
    @org.jetbrains.annotations.NotNull()
    public final org.kodein.di.DI.Module getDiModule() {
        return null;
    }
    
    @org.jetbrains.annotations.NotNull()
    @java.lang.Override()
    public org.kodein.di.DI getDi() {
        return null;
    }
    
    @java.lang.Override()
    public void onCreate() {
    }
    
    @java.lang.Override()
    public void onTerminate() {
    }
    
    @java.lang.Override()
    protected void attachBaseContext(@org.jetbrains.annotations.NotNull()
    android.content.Context base) {
    }
    
    @org.jetbrains.annotations.NotNull()
    public org.kodein.di.DIContext<?> getDiContext() {
        return null;
    }
    
    @org.jetbrains.annotations.Nullable()
    public org.kodein.di.DITrigger getDiTrigger() {
        return null;
    }
}